import { s as t } from "./useVidstackSrc-CNo2sIR4.js";
import { H as r, a as s } from "./vidstack-Bq6c3Bam-C1Xh6KV8.js";
class d extends r {
  $$PROVIDER_TYPE = "AUDIO";
  get type() {
    return "audio";
  }
  airPlay;
  constructor(i, e) {
    super(i, e), t(() => {
      this.airPlay = new s(this.media, e);
    }, this.scope);
  }
  setup() {
    super.setup(), this.type === "audio" && this.ctx.notify("provider-setup", this);
  }
  /**
   * The native HTML `<audio>` element.
   *
   * @see {@link https://developer.mozilla.org/en-US/docs/Web/API/HTMLAudioElement}
   */
  get audio() {
    return this.media;
  }
}
export {
  d as AudioProvider
};
